# Method MasterObject()->describe_module()

Method describe_module

  ``string` describe_module(`object`|`program` `mod`, `array`(`object`)|`void` `ret_obj`)`

Description

  Describe the path to the module `mod`.

Parameter `mod`

  If `mod` is a program, attempt to describe the path to a clone of `mod`.

Parameter `ret_obj`

  If an instance of `mod` is found, it will be returned by changing element `0` of `ret_obj`.

Returns

  The a description of the path.

Note

  The returned description will end with a proper indexing method currently either `"."` or `"->"`.